Saving new query without name causes escaping of input field
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.0.1   

Resolution: Fixed Affected version: 2.0.0

Description

During saving new query without filled name is displayed validation error and name input field disappeares and is replaced by text:

<input id="query_name" name="query[name]" size="80" type="text" value="" />

 After clicking on Save button the Firebug says "select is null" in file /javascripts/select_list_move.js on line 78.

My configuration:

Ruby - 1.8.7

Rails - 3.2.3

See attachment for details.

Associated revisions

Revision 9711 - 2012-05-25 18:50 - Jean-Philippe Lang

Fixed that some input fields are escaped on validation failures (#11027).

History

#1 - 2012-05-25 16:11 - Etienne Massip

- Category set to Issues

- Status changed from New to Confirmed

- Target version set to 2.0.1

#2 - 2012-05-25 17:39 - Etienne Massip

The following patch solves this issue:

### Eclipse Workspace Patch 1.0

#P redmine

Index: config/initializers/10-patches.rb

===================================================================

--- config/initializers/10-patches.rb    (revision 9707)

+++ config/initializers/10-patches.rb    (working copy)

@@ -43,7 +43,7 @@

   end

 end

-ActionView::Base.field_error_proc = Proc.new{ |html_tag, instance| "#{html_tag}" }

+ActionView::Base.field_error_proc = Proc.new{ |html_tag, instance| html_tag || '' }

 require 'mail'

#3 - 2012-05-25 18:51 - Jean-Philippe Lang

- Subject changed from Saving new query without name causes disappearance of input field to Saving new query without name causes escaping of

input field

- Status changed from Confirmed to Resolved

- Resolution set to Fixed
Fixed in r9711. Etienne, thanks for digging into this.

#4 - 2012-05-26 11:50 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
